cmake_minimum_required(VERSION 3.13.4)
project(BendCalc
VERSION 1.0.0
DESCRIPTION "An application for "
HOMEPAGE_URL "https://gitea.eventhorizonstudio.io/gbowne1/BendCalc"
LANGUAGES CXX)

include(CTest)
enable_testing()

# Set C++ standard
set(CMAKE_CXX_STANDARD 11)

set(CMAKE_BUILD_TYPE Debug)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

add_compile_options(-g -Wall -Wextra -Werror -pedantic)

set(CMAKE_CXX_COMPILER /usr/bin/g++)

# Source files
set(SOURCES
    src/main.cpp
    src/Tonnage.cpp
    src/Setback.cpp
    src/Serializer.cpp
    src/Kfactor.cpp
    src/Deserializer.cpp
    src/DataSave.cpp
    src/DataLoad.cpp
    src/BendDeduction.cpp
    src/FormingTool.cpp
)

# Create executable
add_executable(bendcalc ${SOURCES})

# Include directories
target_include_directories(bendcalc PUBLIC include)